## org.eclipse.datatools.connectivity.oda.design
Interface ExpressionVariable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ExpressionVariable

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Expression Variable'. Definition of a filter expression's variable.

The following features are supported:

- `Type`
- `Identifier`
- `Native Data Type Code`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getExpressionVariable()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`int` `getNativeDataTypeCode()` Returns the value of the 'Native Data Type Code' attribute.
`ExpressionVariableType` `getType()` Returns the value of the 'Type' attribute.
`boolean` `isSetNativeDataTypeCode()` Returns whether the value of the '`Native Data Type Code`' attribute is set.
`boolean` `isSetType()` Returns whether the value of the '`Type`' attribute is set.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.
`void` `setNativeDataTypeCode(int value)` Sets the value of the '`Native Data Type Code`' attribute.
`void` `setType(ExpressionVariableType value)` Sets the value of the '`Type`' attribute.
`void` `unsetNativeDataTypeCode()` Unsets the value of the '`Native Data Type Code`' attribute.
`void` `unsetType()` Unsets the value of the '`Type`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getType

    ExpressionVariableType getType()

  Returns the value of the 'Type' attribute. The default value is `"ResultSetColumn"`. The literals are from the enumeration `ExpressionVariableType`. The type of variable.

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ExpressionVariableType`, `isSetType()`, `unsetType()`, `setType(ExpressionVariableType)`, `DesignPackage.getExpressionVariable_Type()`

### setType

    void setType(ExpressionVariableType value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `ExpressionVariableType`, `isSetType()`, `unsetType()`, `getType()`

### unsetType

    void unsetType()

  Unsets the value of the '`Type`' attribute.

  See Also:
    `isSetType()`, `getType()`, `setType(ExpressionVariableType)`

### isSetType

    boolean isSetType()

  Returns whether the value of the '`Type`' attribute is set.

  Returns:
    whether the value of the 'Type' attribute is set.
  See Also:
    `unsetType()`, `getType()`, `setType(ExpressionVariableType)`

### getIdentifier

    java.lang.String getIdentifier()

  Returns the value of the 'Identifier' attribute. A name or expression that identifies the variable used to evaluate an expression.

  Returns:
    the value of the 'Identifier' attribute.
  See Also:
    `setIdentifier(String)`, `DesignPackage.getExpressionVariable_Identifier()`

### setIdentifier

    void setIdentifier(java.lang.String value)

  Sets the value of the '`Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Identifier' attribute.
  See Also:
    `getIdentifier()`

### getNativeDataTypeCode

    int getNativeDataTypeCode()

  Returns the value of the 'Native Data Type Code' attribute. Native data type code of the identified variable. If none or unknown value (0) is specified, the data element is mapped to an ODA String data type by default. The native type code value is implementation-specific to individual ODA driver, which must support its mapping to one or more ODA data types. The supported native-ODA data type mapping must be defined in the ODA dataSource extension.

  Returns:
    the value of the 'Native Data Type Code' attribute.
  See Also:
    `isSetNativeDataTypeCode()`, `unsetNativeDataTypeCode()`, `setNativeDataTypeCode(int)`, `DesignPackage.getExpressionVariable_NativeDataTypeCode()`

### setNativeDataTypeCode

    void setNativeDataTypeCode(int value)

  Sets the value of the '`Native Data Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Native Data Type Code' attribute.
  See Also:
    `isSetNativeDataTypeCode()`, `unsetNativeDataTypeCode()`, `getNativeDataTypeCode()`

### unsetNativeDataTypeCode

    void unsetNativeDataTypeCode()

  Unsets the value of the '`Native Data Type Code`' attribute.

  See Also:
    `isSetNativeDataTypeCode()`, `getNativeDataTypeCode()`, `setNativeDataTypeCode(int)`

### isSetNativeDataTypeCode

    boolean isSetNativeDataTypeCode()

  Returns whether the value of the '`Native Data Type Code`' attribute is set.

  Returns:
    whether the value of the 'Native Data Type Code' attribute is set.
  See Also:
    `unsetNativeDataTypeCode()`, `getNativeDataTypeCode()`, `setNativeDataTypeCode(int)`